Bug 232883 - net-mgmt/py-ncclient: Fix requirements.txt to use devel/py-selectors2 only with Python <= 3.4
Summary: net-mgmt/py-ncclient: Fix requirements.txt to use devel/py-selectors2 only wi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks: 232882
  Show dependency treegraph
 
Reported: 2018-11-01 12:05 UTC by Kai Knoblich
Modified: 2019-01-05 20:41 UTC (History)
3 users (show)

See Also:
sergey: maintainer-feedback+
kai: merge-quarterly?


Attachments
py-ncclient-fix-requirements.patch (1.14 KB, patch)
2018-11-01 12:05 UTC, Kai Knoblich
sergey: maintainer-approval+
Details | Diff
py36-napalm.log (1.08 KB, text/plain)
2018-11-01 12:10 UTC, Kai Knoblich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-11-01 12:05:07 UTC
Created attachment 198848 [details]
py-ncclient-fix-requirements.patch

Hello,

attached is the patch that fixes the requirements.txt of net-mgmt/py-ncclient by limiting the use of the devel/py-selectors2 port to Python versions lower/equal than 3.4 only.

At the moment the Python 3.6 version of the net-mgmt/py-napalm port that depends on net-mgmt/py-ncclient, is broken (please see also the attached log).

QA:
~~~
- poudriere (11.2-RELEASE, 12.0-BETA2, 13.0-CURRENT@r339730 amd64 + i386) -> OK
- portlint -> OK
Comment 1 Kai Knoblich freebsd_committer 2018-11-01 12:10:27 UTC
Created attachment 198849 [details]
py36-napalm.log
Comment 2 Sergey Akhmatov 2018-11-01 15:07:50 UTC
Comment on attachment 198848 [details]
py-ncclient-fix-requirements.patch

I think it should be upstreamed. Would you mind creating issue/pull-request on the project github?
Comment 3 Kai Knoblich freebsd_committer 2018-11-01 17:00:47 UTC
(In reply to Sergey Akhmatov from comment #2)

Thank you for the quick approval. As you have already suggested I created an issue and a pull-request on upstream's GH repository.

Maybe it will be merged into the next update.
Comment 4 Kai Knoblich freebsd_committer 2018-11-04 12:09:32 UTC
(In reply to Sergey Akhmatov from comment #2)

The pull-request has been committed into the master branch:

https://github.com/ncclient/ncclient/commit/de873d8040bd2ddc7160caa78ebc323fb05ef885
Comment 5 commit-hook freebsd_committer 2019-01-05 20:38:18 UTC
A commit references this bug:

Author: swills
Date: Sat Jan  5 20:37:23 UTC 2019
New revision: 489379
URL: https://svnweb.freebsd.org/changeset/ports/489379

Log:
  net-mgmt/py-ncclient: Fix requirements.txt

  PR:		232883
  Submitted by:	Kai <freebsd_ports@k-worx.org>
  Approved by:	Sergey Akhmatov <sergey@akhmatov.ru> (maintainer)

Changes:
  head/net-mgmt/py-ncclient/Makefile
  head/net-mgmt/py-ncclient/files/
  head/net-mgmt/py-ncclient/files/patch-requirements.txt
Comment 6 Steve Wills freebsd_committer 2019-01-05 20:41:26 UTC
Committed, thanks!